function samplessave
%SAMPLESSAVE Save samples

% load net info
load net;

% rename
netData = net;

netNames = get(netData, 'ObsNames');

% load sample parameters
load sampleparams;

for i=1:size(netData, 1) % for each net

    % load net
    load( sprintf('mxm_bnet_%s_net', netNames{i}), 'net');
        
    for j=1:length(sampleParams{'sampleNo', 'values'}) % for each sampling
        
        sampleFile = sprintf('%s_sample_%d.mat', netNames{i}, j);
        
        sampleSize = max(sampleParams{'sampleSize', 'values'});
        
        fprintf( ...
            '\nPerforming %d-th sampling of %s with sample size %d.\n', ...
            j, netNames{i}, sampleSize );

        % get a random sample of this size from the network
        a = net.rnd(sampleSize);

        % save sample
        save(sampleFile, 'a');

    end

end

end

